ChromiumおよびFirefoxNightly:LaunchpadまたはDebianバックポートの更新はありません

改めてご挨拶申し上げます。 今回はブラウザの話になります Mozilla Firefox y クロムどちらが オープンソース また、WindowsとMacだけでなく、ほとんどのGNU / Linuxディストリビューション(公式のコンパイルとそのフォークの両方)でも使用されています。

しかし、公式WebサイトからMozilla Firefoxをダウンロードすると、tarballでBZipに圧縮されたバージョン、Chromiumの場合はZIP形式で圧縮されたバージョンに出くわすことに気づきました。

Mozilla FirefoxとChromiumを使用すると、ディストリビューション開発者は安定したバージョンを独自の方法で簡単にパッケージ化できますが、Chromiumの場合、少なくとも最新で十分に楽しむことができる十分なバージョンを提供することにほとんどまたはまったく関心がありません。 (Google Chromeの場合、ブラウザの更新に大きな関心があることがわかりますが、オープンソースの対応物では、多くの要望が残されています)

Mozilla Firefoxでは、ほとんどすべてのディストリビューションがMozilla Foundation(Debianでさえ)によって作成されたリリースで最新であるため、最新の状態に保つのに問題はありませんでした。 同じ頻度で更新する 公式の同等のフォークよりも)が、Chromiumには、GoogleChromeの公式バージョンと同等のバージョンがないディストリビューションがいくつかあります。 Debianの場合 (バックポートも、少なくともIceweaselのような特別なレポもありません)

Ubuntuの場合(パッケージを最新の状態に保つためにLaunchpadが提供するセキュリティリポジトリを追加する必要があり、明らかに、Lucidでもすべてのバージョンでバージョン25のままでした)、私は特別に作成されたスクリプトを使用することにしましたからChromiumのナイトリーバージョンをインストールします ほぼ自動化された方法 Debianフォーラムのユーザーからは、Debianファミリーから本当に最新のリポジトリやLinux Mintが公式に見つからないためです(他のディストリビューションでは、安定バージョンのGoogle Chromeと同等です)。

Chromiumの安定バージョン(または少なくともナイトリービルド)を最新の状態に保ったリポジトリを見つけることができれば、助けていただければ幸いです。 今のところ、Chromiumのナイトリービルド(Windowsを使用していたときにインポートしたばかりのカスタム)で作業できるように、引き続きスクリプトを使用します。


記事の内容は、次の原則に準拠しています。 編集倫理。 エラーを報告するには、 ここで.

32コメント、あなたのコメントを残してください

コメントを残す

あなたのメールアドレスが公開されることはありません。 必須フィールドには付いています *

*

*

  1. データの責任者:MiguelÁngelGatón
  2. データの目的:SPAMの制御、コメント管理。
  3. 正当化:あなたの同意
  4. データの伝達:法的義務がある場合を除き、データが第三者に伝達されることはありません。
  5. データストレージ:Occentus Networks(EU)がホストするデータベース
  6. 権利:いつでも情報を制限、回復、削除できます。

  1.   エラヴ

    Firefoxはオープンソースですが、Debianの目的を満たさない制限付きライセンスの部分(ロゴなど)があるため、DebianでFirefoxを見つけることができないのは正常です。したがって、Iceweaselが見つかります。

    Squeezeではわかりませんが、DebianWheezyではChromiumの最新の安定バージョンが間もなくリリースされます。 現在、バージョンは26.0.1410.43-1です。

    1.    eliotime3000

      Debian StableのIceweaselは、Firefoxと同じように機能するため、問題はありません(そのmozilla.debian.netバックポートは、Iceweaselを最新の状態に保つために使用し、実験と同期しています)が、 Chromiumでは、Debianの安定バージョンに実験的なリポジトリを追加しなければならないという問題があります(テストでは、バックポートを追加しているかのようになります)。

      さて、ナイトリービルドバージョンを使用したい場合は、Firefoxのインストール時に使用するのと同じ機能を実行し(ブラウザをインストール/更新するスクリプトを作成)、少なくともバージョン3のカーネルを使用する必要があります(私はすでに試しました)私のPCにデフォルトで付属しているカーネルバージョンを使用しますが、どうやらそれは問題なくWheezyで動作するでしょう)。

      LibreOffice、Skype、Angry IP Scannerなどの他のプログラムでは、インストール/更新スクリプトを使用する必要がなかったので、インストールは簡単でしたが、DPKGや/を使用する必要がありました。またはGDebi。

    2.    匿名の

      理由は調べていませんが、間違いなく17月にリリースされたChromiumのバージョンがすでにWheezyパッケージに含まれているのに対し、IceweaselXNUMXはXNUMX月には含まれていないことに驚いています。 うまくいけば、それはそれほど最近であることに問題をもたらさないでしょう。

      1.    eliotime3000

        どのバージョンのIceweaselを参照していますか? mozilla.debian.netにあるローリングリリースまたはすでにWheezyバックポートにあるESRに? 私が持っているIceweaselは20であり、DebianSqueezeにあります。 http://i.imgur.com/yavIei5.png (Squeezeバックポートはまだ10 ESRであるため、mozilla.debian.netバックポートから)。

        1.    匿名の

          Wheezyのデフォルトバージョンである10.0.12と、Squeezeの3.5.16。

          http://packages.debian.org/wheezy/iceweasel

          バージョン17.0がリリースされたときに受け入れるのは良いことだといつも思っていましたが、受け入れませんでした。実験用に残し、mozilla.debian.netのSqueezeのバックポートに残しました。

          1.    eliotime3000

            残念ですが、実験的なリポジトリを使用するリスクを冒したくない場合は、mozilla.debian.netのDebian Squeezeブラックポートを使用することは有効です(リポジトリの品質自体はほぼ同じですが、含まれていません質の悪いレポ)。

  2.   抽選

    Chromiumを最新の状態に保つ25.0.1364.172つのリポジトリがあります。27.0.1453.6つは安定版(バージョンXNUMX)と開発版(XNUMX)で、それぞれのPPAはppa:av-shkop / chromiumとppa:av-shkop / chromium-devです。

    1.    eliotime3000

      どうもありがとうございましたが、PPAを古いものに追加することを好みます(キーサーバーを使用して「sources.list」ファイルを編集します)。 このようにして、管理者権限とsudoの問題を回避します(すでに「su」が好きだったので、そうですか?)。

  3.   ラマ

    Debianでは、物事は非常に単純です。安定したブランチに留まりたい場合は、プログラムが最新バージョンにはならないという考えを自分自身に与える必要があります。 プログラムの最新バージョン(またはほぼ)を使用したい場合は、テストまたは不安定なものを使用してください😉

    1.    eliotime3000

      私はDebianStableに満足しています。なぜなら、私が最新の状態に保ついくつかのプログラム(もちろん、ブラウザーとスカイプ)をほとんど使用しないからです。 しかし、Chromiumに関しては、IceweaselのようにDebianの安定版については特にバックポートを作成していません(ちなみに、オーロラバージョンも選択でき、Debian Stableでは完全に正常に動作します)。

      実験ブランチに関しては、Debian Stableは、特定のプログラムで使用できるように、公開鍵を要求します。

      1.    タボ

        安定版のDebianは壊れにくく、時間の経過とともにセキュリティが確保されるため、交換が困難になります。私が書いたこのDebian Squeezeは、発売以来、数年前にインストールされており、今日では最初の欠陥ではなく、障害は私のものでした。ディスク容量が不足しているために初めてグラフが開始されないことが判明しました。gdmはレジストリエントリを書き込めませんでした。いくつかのアイコンパッケージやその他のでたらめをttyから削除することで解決しました。それから私はすべてのパッケージを再構成し、それは問題なく再び起動しました、それはかなり調整されているのでシステムがインストールされているディスクのサイズを変更する必要があります、それ以外は何年もメンテナンスなしで同じように動作することに驚かされ続けます初日の流動性

        1.    eliotime3000

          そしてそれが私がDebianが好きな理由です:何年もの間放棄され、ある日あなたはそれをオンにして、それは正常に機能し続けます。

  4.   ディアゼパン

    Chromiumの最新バージョンはsidにあります。 Iceweaselの最新バージョンは実験中です。

    1.    eliotime3000

      問題はIceweaselではなく(安定版、ベータ版、オーロラ版の実験リポジトリと同等のmozilla.debian.netバックポートを使用しています)ではなく、Chromiumにあります。これは、の実験リポジトリを追加できません。私は正確に安定しているのでクロム(テストでは問題なくリポジトリを追加できます)。

      1.    パンデブ92

        真実は、クロムのバージョン17または18と25を使用してもあまり変わりません...そして、クロムにはデフォルトでフラッシュプレーヤーペッパーがないことを考慮に入れると、安心するか、そのWebサイトからクロムをダウンロードしてください

        1.    eliotime3000

          私はすでにLinux用のGoogleChromeを使用していますが、XNUMXつのGMailアカウントを持っているため、両方のブラウザで正確に動作します。

          さらに、Google Chromeでは、Adobeが提供する同じFlash Player 11.2よりも流暢ではなかったため、Pepper Flash Playerを非アクティブ化しました(公式リポジトリには、自動的にダウンロードおよびインストールされるスクリプトを含む.debパッケージが含まれていたことを感謝します)フラッシュプレーヤー)。

  5.   ロロ

    XNUMX日以内にdebiansqueeze(現在の安定版)がoldstableになることに同意しましょう。したがって、バックポートでも新しいバージョンでパッケージが更新されるのは論理的ではありません。
    そして、スクイーズがアーカイブリポジトリに行くとき、とりわけクロムやアイスウィーゼルなどの最新バージョンのプログラムを使い続けることは、はるかに複雑になる可能性が高いです。

    1.    eliotime3000

      そうかもしれませんが、Debianの公式サイトでは、ニュースセクションで公式に公開する必要があるため、これまでのところ公式の発表はありません(今のところ、メーリングリストで噂されているニュースです)。

      1.    ロロ

        結局、私が前に述べたように、圧搾は古安定になりました。
        彼らがアーカイブするために圧迫しようとしたときに、彼らがプログラムのより新しいバージョンを置き続けるつもりがなかったことは非常に明白でした。

  6.   アルフ

    個人的には、最新バージョンのブラウザを使用することは私の興味ではありません。なぜなら、私たちの一部が使用するアドオンと拡張機能は同時に開発されておらず、ブラウザが更新されるとアドオンが役に立たなくなるからです。 。

    1.    匿名の

      いいですね、ラピッドリリースよりもESRを好んだのは私だけだと思いました。

    2.    パンデブ92

      これは通常、Firefoxとそのプリミティブ拡張モードでのみ発生します。

      1.    eliotime3000

        私が持っているChromium25には、Google Chromeと同等のバージョンがないと表示されないアプリケーションがあるので、教えてはいけません。

      2.    MSX

        FirefoxとDebianはプリミティヴィスムのシェアを持っていますが、Firefoxの特定のケースではそうではないと思います。
        むしろ、何か違うことが起こります。Chrome/ Chromium拡張機能は、JSでアクセスおよびプログラムできるブラウザの部分の非常に定義されたサブセットを許可するという点で、Operaの拡張機能と非常に似ています。そのため、飛行時にアクティブ化および非アクティブ化できます。とても簡単に
        それどころか、Firefoxの場合、拡張機能はFirefox独自のXULフレームワークを使用してプログラムされます。そのため、拡張機能は非常に強力であり、実際にはミニネイティブアプリケーションであり、ブラウザーにリンクされているため、ブラウザはインストールされている拡張機能に影響します。
        ご挨拶!

        1.    eliotime3000

          Firefox / Iceweasel / IceCatでは、拡張機能を省くかどうか疑問に思います。 Chromium / Google Chromeでは、ほとんどの場合、フレームワークに依存する必要がなく、拡張機能を簡単に使用できます。

    3.    eliotime3000

      Firefox / Iceweaselを使用すると、拡張サポートを提供するバージョンを自由に選択できます(ESRの場合)が、Chromiumの場合はそうではありません。

      私は主にChromiumを使用して、HTML5 / CSS3やその他の革新的なWeb言語に追加されたさまざまなコンポーネントをテストできるようにしています。 これらの言語をできるだけ早く標準化できれば、ローリングリリースに依存する必要はありません。

  7.   ホルヘ

    Debianは何年も前にFirefoxのフォークを作成しましたが、これについて多くの苦情があり、タリバンがロゴ(mozillaとdebianの両方)であると非難したことを覚えています。 Debianは毎月「全体」のバージョンを変更することをあまり好きではなく、最新のものよりも安定性に重点が置かれています。 debianでのmozilla用のtar.bz2パッケージのインストールと更新は簡単ではなく、ubuntusは廃止されました。システムフォルダに解凍してアクセスを作成するだけです。 誰かがそれを必要とする場合に備えて、私はここにコマンドのいくつかのリストを残します http://paste.desdelinux.net/4767 パッケージをダウンロードするためにリポジトリや別のブラウザを必要とせずに、単一の順序でそれを実行できるようにします。よろしくお願いします。

    1.    eliotime3000

      スクリプトをありがとうございました。 実際、私はmozilla.debian.netから入手したIceweasel 20(Firefoxと同等のバージョン)を使用しており、DebianStableでうまく機能しています。

      さらに、FirefoxとIceweaselのパフォーマンスは実質的に同じです。公式のFirefoxとコミュニティFirefoxの違いは、IceweaselやIceCatなどのフォークに加えて、[バージョン情報]ウィンドウに表示されるアップデータがないことです。通常、パッチまたはその他の変更がXNUMXつずつあります(GNU IceCatはFlashPlayerの実行をブロックし、元のIceWeaselであることに加えて、Gnashなどの無料のプラグインの使用を強制します)。

  8.   MSX

    ブログ投稿よりもフォーラムの質問が多い。
    実際…これはフォーラムの質問です。

    1.    eliotime3000

      [フォーラム] [/フォーラム]モードでの書き込みをお許しください。ただし、Chromiumバージョンの均質性の欠如など、多くの側面が強調されていない場合があります(現在、ほとんどすべてのディストリビューションはバージョン26であり、現在はGoogleの公式バージョンです。 Chrome)ですが、少なくともFirefoxとフォークは比較的すべて同等です(Iceweaselの場合、mozilla.debian.netバックポートは公式バージョンではバージョン20、ベータ版ではバージョン21、オーロラでは22です)。

  9.   アルフ

    これは問題のトピックではありませんが、Firefoxと関係があります

    http://muyseguridad.net/2013/05/03/mozilla-critica-al-productor-del-software-espia-gubernamental-finfisher/

    深刻ですか?

    1.    eliotime3000

      どうやら、彼が言及していることは、Mozilla Foundationの哲学に反しているようです。つまり、目立たないブラウザであり、インターネットの習慣を尊重しています。